/*
 * jQuery Vivace theme functions file
 * https://www.themeinprogress.com
 *
 * Copyright 2021, ThemeinProgress
 * Licensed under MIT license
 * https://opensource.org/licenses/mit-license.php
 */

jQuery.noConflict()(function($){

	"use strict";

/* ===============================================
   Scroll sidebar
   =============================================== */

	function vivace_scroll_menu() {

		if ( $(window).width() < 992 ) {

			$("#scroll-sidebar").niceScroll(".wrap", {
				cursorwidth: "10px",
				cursorborder: "1px solid #fff",
				railpadding: {
					top: 0,
					left: 0,
					bottom: 0,
					right: 0
				}
			});

			$('nav#mobilemenu ul > li > a').click(function(){
				setTimeout(function(){
				  $("#scroll-sidebar").getNiceScroll().resize();
				}, 500);
			});

		} else {
			$("#scroll-sidebar").getNiceScroll().remove();
		}

		if ( $(window).width() < 992 ) {

			$("#menu-wrapper .mobile-navigation").click(function() {
	
				$('#overlay-body').fadeIn(600).addClass('visible');
				$('body').addClass('overlay-active').addClass('no-scrolling');
				$('#wrapper').addClass('open-sidebar');
	
				$('#sidebar-wrapper').css({
				  display: "block"
				});
	
				$('#scroll-sidebar').animate({
				  left: "0px"
				}, 400);
	
				setTimeout(function(){
					$('#scroll-sidebar a.mobile-navigation').focus();
				}, 100);
	
			});

			$("#overlay-body").swipe({

				swipeLeft:function() {

					$('#overlay-body').fadeOut(600);
					$('body').removeClass('overlay-active').removeClass('no-scrolling');
					$('#wrapper').removeClass('open-sidebar');
					
					$('#scroll-sidebar').animate({
					  left: "-300px"
					}, 200);
	
					setTimeout(function(){
						$('#sidebar-wrapper').css({
						  display: "none"
						});
					}, 200);
				},
				
				threshold : 10

			});

			$("#sidebar-wrapper .mobile-navigation").click(function() {
				
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active').removeClass('no-scrolling');
				$('#wrapper').removeClass('open-sidebar');

				$('#scroll-sidebar').animate({
				  left: "-300px"
				}, 200);

				setTimeout(function(){
					$('#sidebar-wrapper').css({
					  display: "none"
					});
				}, 200);

			});

		}

	}

	$(document).ready(function(){
		vivace_scroll_menu();
	});

	$(window).resize(function(){
		vivace_scroll_menu();
	});

	$(window).load(function() {
		vivace_scroll_menu();
	});

});
